## debian-installer 20081029ubuntu70

=== debian/changelog ===
debian-installer (20081029ubuntu70) karmic; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Oct 2009 02:17:34 +0100

debian-installer (20081029ubuntu69) karmic; urgency=low

  [ Loïc Minier ]
  * Drop dove-z0 armel flavour as we dropped the kernel flavour.

  [ Colin Watson ]
  * Horrible workaround for LP #452212: add a 512*50-byte padding file to
    the powerpc64_netboot mini.iso image tree, to avoid a genisoimage
    segfault at certain tree sizes.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Oct 2009 17:27:53 +0100

debian-installer (20081029ubuntu68) karmic; urgency=low

  * Move to 2.6.31-14 kernels.
  * Move Dove images to 2.6.31-208 kernels.
  * Move iMX51 images to 2.6.31-105 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 12:31:14 +0100

debian-installer (20081029ubuntu67) karmic; urgency=low

  [ Colin Watson ]
  * Move Dove images to 2.6.31-206 kernels.
  * Move to 2.6.31-13 kernels.

  [ Oliver Grawert ]
  * Move iMX51 images to 2.6.31-103 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Oct 2009 15:26:57 +0100

debian-installer (20081029ubuntu66) karmic; urgency=low

  * move redboot bootloader lines in the comments in debian/control to the
    proper section (bootloaders)
  * run debian/genbuilddeps so the added redboot actually shows up in the
    build-deps

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 07 Oct 2009 09:42:14 +0200

debian-installer (20081029ubuntu65) karmic; urgency=low

  * Move to 2.6.31-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 22:58:17 +0100

debian-installer (20081029ubuntu64) karmic; urgency=low

  [ Oliver Grawert ]
  * add redboot bootloader binaries to build-dep for the SD card netinst image
    for babbage boards

  [ Loïc Minier ]
  * pkg-lists updates for armel+dove:
    - Add netboot/armel/dove.cfg to pull the input modules for USB keyboards.
    - Add cdrom/armel/dove.cfg to pull input modules as well as fat modules.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 28 Sep 2009 20:03:57 +0200

debian-installer (20081029ubuntu63) karmic; urgency=low

  * bump armel (dove/imx) ABIs to recent versions (dove: -205, imx: -102)
  * cut down size of combined netinst image for imx51 babbage TO2 boards to
    16MB

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 28 Sep 2009 09:56:29 +0200

debian-installer (20081029ubuntu62) karmic; urgency=low

  * Fix make syntax in build/config/armel/imx51/netboot.cfg.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Sep 2009 01:13:59 +0100

debian-installer (20081029ubuntu61) karmic; urgency=low

  [ Loïc Minier ]
  * armel/dove/netboot.cfg: Use the same MANIFEST-KERNEL as all other kernels,
    i.e. don't mention uImage specially.
  * armel/dove/netboot.cfg: Re-add generation of an uImage since the kernel
    packages/udebs ship zImages again.
  * armel/dove/netboot.cfg: Use $(TEMP_INITRD) $(TEMP_KERNEL) in TARGET
    instead of $(KERNEL) and $(INITRD) as these are the ones we actually take
    as input.
  * build/config/armel/{dove,imx51}.cfg: s/kernel API/kernel ABI/.
  * Add a dove-z0 flavour with a netboot image copied from the dove one, but
    using dove-z0 as output dir.
  * Drop useless "mkdir -p $(TEMP)/dove" in dove's and dove-z0's netboot.cfg.
  * Misc fixes to armel+imx51 pkg-lists:
    - Add netboot/armel/imx51.cfg to include
      nic-modules{,-shared,-usb}-${kernel:Version} and nic-firmware (optional)
      since we currently lack support for builtin ethernet on Babbage 2.x
      boards; also include input-modules-${kernel:Version} for USB keyboard;
      LP: #431283.
    - Add cdrom/arm dir and cdrom/armel symlink and add cdrom/armel/imx51.cfg
      to pull the same modules as for netboot plus
      fat-modules-${kernel:Version} to allow mounting a VFAT on an USB key or
      a SD/MMC card; LP: #364604.
  * Set KERNELNAME to vmlinuz and VERSIONED_SYSTEM_MAP to the empty string in
    imx51.cfg since the kernel and System.map filenames in the udeb aren't
    suffixed with the version number anymore.
  * Bump imx51 ABI version to 2.6.31-101.

  [ Oliver Grawert ]
  * build/config/armel/imx51/netboot.cfg create babbage-TO2-sd.img similar to
    the nslu2 netinstall image to easily start a netinstall from SD on
    babbage 2.x boards
  * add build dependency on redboot-tools to create the above image from
    initrd.gz and vmlinuz files in the netboot dir

  [ Colin Watson ]
  * Move to 2.6.31-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Sep 2009 22:45:59 +0100

debian-installer (20081029ubuntu60) karmic; urgency=low

  * Set KERNELNAME to vmlinuz and VERSIONED_SYSTEM_MAP to the empty string in
    dove.cfg since the kernel and System.map filenames in the udeb aren't
    suffixed with the version number anymore.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 16 Sep 2009 12:08:23 +0200

debian-installer (20081029ubuntu59) karmic; urgency=low

  [ Oliver Grawert ]
  * bump dove ABI version to 2.6.31-204

  [ Steve Langasek ]
  * Rebuild against the current kernel on other architectures, to pick up
    various fixes for Alpha 6.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Sep 2009 00:52:57 -0700

debian-installer (20081029ubuntu58) karmic; urgency=low

  * Move to 2.6.31-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Sep 2009 12:23:16 +0100

debian-installer (20081029ubuntu57) karmic; urgency=low

  * bump dove ABI version to 2.6.31-203

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 02 Sep 2009 09:14:14 +0100

debian-installer (20081029ubuntu56) karmic; urgency=low

  * Move to 2.6.31-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Sep 2009 22:41:38 +0100

debian-installer (20081029ubuntu55) karmic; urgency=low

  [ Colin Watson ]
  * Update help text translations from Launchpad.
  * Move to 2.6.31-8 kernels.

  [ Oliver Grawert ]
  * bump dove ABI version to 2.6.31-202



## debian-installer 20081029ubuntu70netbook1

=== debian/changelog ===
debian-installer (20081029ubuntu70netbook1) karmic; urgency=low

  * No change rebuild to pick up new oem-config and cdrom-detect.

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Mon, 30 Nov 2009 13:04:45 -0500

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.6.2
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64 lpia], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64 lpia], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], uboot-mkimage [arm armel], redboot-tools (>= 0.6) [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64 lpia], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb armel], redboot-imx51-babbage [arm armel], tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64 lpia], python [i386 amd64 lpia], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386 lpia], mkvmlinuz [powerpc ppc64], openssl [arm armel]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 4)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- ubuntu-keyring
#		To provide the archive key for security checks.
#	- dpkg (>= 1.13.9)
#		We tweak dpkg logging options only understood by this
#		version.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64 lpia]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- mklibs-copy [mips mipsel]
#		Temporarily used because mklibs doesn't work (see #445507)
#	- genisoimage [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc ppc64]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools [i386 ia64 m68k amd64 lpia]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64/lpia use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#	- cpio
#		For creating initramfs images.
#	- devio [arm armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- slugimage (>= 0.10+r58-6) [arm armeb armel]
#		For building nslu2 firmware images.
#	- nwutil [arm]
#		For building netwinder netinst images.
#	- uboot-mkimage [arm armel]
#		For creating u-boot images
#	- redboot-tools (>= 0.6) [arm armel]
#		For creating redboot SD card images for imx51 babbage boards
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2:3.63+dfsg-2) [i386 amd64 lpia]
#		With menu default64 support.		
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc ppc64]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo (>= 1.21-1) [mipsel]
#		For booting Cobalt machines. This version has TFTP support.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- apex-nslu2 [arm armeb armel]
#		2nd stage bootloader for Linksys NSLU2.
#	- redboot-imx51-babbage [arm armel]
#		Redboot bootloader binaries for SD card images for imx51
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64 lpia]
#	- python [i386 amd64 lpia]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- upx-ucl (>= 3) [i386 lpia]
#		i386 uses upx to compress kernels and other binaries.
#	- mkvmlinuz [powerpc ppc64]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl [arm armel]
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#!/usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=karmic
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20081029ubuntu70.1

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_ARCH DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))


# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING

# Useful command sequences
define submake
  $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) |grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS
	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
		else \
			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
		fi; \
		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
		if [ -d $(TREE)/lib/modules/$(VERSION) ] && [ -z "$(OMIT_DEPMOD)" ]; then \
			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \
			$(shell choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
		fi; \
		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)

	# These files depmod makes are used by hotplug, if it's being used;
	# otherwise, we shouldn't need them. Some files aren't even used by
	# hotplug, so never include them.
	if [ -d $(TREE)/etc/udev ] || [ -d $(TREE)/etc/hotplug ]; then \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -name modules.alias \
			-not -name 'modules.*map' \
			-not -type d | xargs rm -f; \
	else \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -type d | xargs rm -f; \
	fi

	# These files are used to build special kernel images for some
	# subarchitectures. Move them out of the way.

=== debian/changelog ===
debian-installer (20081029ubuntu70.1) karmic-proposed; urgency=low

  * Use udebs from karmic-security, karmic-proposed, and karmic-updates.
  * Move to 2.6.31-17 kernels.
  * Move iMX51 images to 2.6.31-107 kernels.
  * Move Dove images to 2.6.31-210 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Jan 2010 13:18:31 +0000

## debian-installer 20081029ubuntu102

=== debian/changelog ===
debian-installer (20081029ubuntu102) lucid; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 25 Apr 2010 23:28:59 +0100

debian-installer (20081029ubuntu101) lucid; urgency=low

  * Add amd64/netboot-xen configuration, to go with i386/netboot-xen.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Apr 2010 01:07:38 +0100

debian-installer (20081029ubuntu100) lucid; urgency=low

  * Move dove images to 2.6.32-204

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Apr 2010 04:46:19 -0700

debian-installer (20081029ubuntu99) lucid; urgency=low

  * Tidy up the i386/netboot-xen configuration for Ubuntu, and enable it
    (LP: #532547).
  * Move to 2.6.32-21 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Apr 2010 16:28:27 +0100

debian-installer (20081029ubuntu98) lucid; urgency=low

  [ Oliver Grawert ]
  * add boot.scr to boot OMAP netinst kernel and initrd from SD card
  * make sure dove also uses INITRD_FS = initramfs for netboot, else it fails
    to uncompress the initrd LP: #541399.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Apr 2010 12:54:36 -0700

debian-installer (20081029ubuntu97) lucid; urgency=low

  [ Oliver Grawert ]
  * on OMAP the HID stack was decided to not be built in so we need
    input-modules-*.udeb in d-i by default

  [ Steve Langasek ]
  * Move to 2.6.32-20 kernels.

  [ Oliver Grawert ]
  * fix omap udeb selection for netboot flavour
  * drop gzip compression in omap mkimage call for netboot flavour for
    consistency (we dont use gzip in any other omap images)
  * make sure we build INITRD_FS = initramfs for omap netboot

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 12 Apr 2010 10:50:57 +0200

debian-installer (20081029ubuntu96) lucid; urgency=low

  * build/config/armel/dove/netboot.cfg: set the right load address in the
    netboot image.  LP: #541399.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Apr 2010 17:31:56 -0700

debian-installer (20081029ubuntu95) lucid; urgency=low

  [ Steve Langasek ]
  * Move iMX51 images to 2.6.31-607 kernels, and dove images to 2.6.32-203
    kernels.

  [ Oliver Grawert ]
  * create build/pkg-lists/cdrom/arm/omap.cfg to make sure fat support exists
    in the omap alternate images

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 05 Apr 2010 12:13:01 +0200

debian-installer (20081029ubuntu94) lucid; urgency=low

  * Move to 2.6.32-19 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Apr 2010 12:17:02 -0700

debian-installer (20081029ubuntu93) lucid; urgency=low

  [ Oliver Grawert ]
  * armel+omap netinst initrd needs gzip compression in mkimage call

  [ Colin Watson ]
  * Move to 2.6.32-18 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 27 Mar 2010 22:59:50 +0000

debian-installer (20081029ubuntu92) lucid; urgency=low

  [ Colin Watson ]
  * Add vlan-udeb to netboot images (LP: #530459).

  [ Oliver Grawert ]
  * add support for armel+omap architecture

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 27 Mar 2010 09:37:24 +0100

debian-installer (20081029ubuntu91) lucid; urgency=low

  * Move to 2.6.32-17 kernels.
  * Update help text translations from Launchpad (LP: #539391).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Mar 2010 21:09:51 +0000

debian-installer (20081029ubuntu90) lucid; urgency=low

  * Move Dove images to 2.6.32-202 kernels.
  * Update help translation files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Mar 2010 20:51:22 +0000

debian-installer (20081029ubuntu89) lucid; urgency=low

  * Move to 2.6.32-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 00:55:48 +0000

debian-installer (20081029ubuntu88) lucid; urgency=low

  [ Colin Watson ]
  * Stop build-depending on apex-nslu2 on armel, since we no longer build
    ixp4xx images (LP: #503093).
  * Add SHA1SUMS and SHA256SUMS files (see LP #431790).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Feb 2010 14:40:53 -0800

debian-installer (20081029ubuntu87) lucid; urgency=low

  * Move iMX51 images to 2.6.31-605 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 16:59:18 -0800

debian-installer (20081029ubuntu86) lucid; urgency=low

  [ Loïc Minier ]
  * Bump kernel version to 2.6.32-14 for images built against udebs from the
    linux source, and to 2.6.32-201 for images built against udebs from the
    linux-mvl-dove source.
  * build/config/armel.cfg: enable versatile.
  * build/config/armel/versatile.cfg: versatile kernel udebs don't use
    versioned filenames anymore.
  * build/config/armel/imx51.cfg: fix typo in comment.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 13:22:48 -0800

debian-installer (20081029ubuntu85) lucid; urgency=low

  * Move iMX51 images to 2.6.31-604 kernels.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 17 Feb 2010 13:14:59 +1100

debian-installer (20081029ubuntu84) lucid; urgency=low

  [ Colin Watson ]
  * Update help translation files (LP: #508385, #508387, #508389).

  [ Luke Yelavich ]
  * Slightly increase the netboot initrd for powerpc to allow d-i to build on
    powerpc. The only platforms we support are chrp and macs, which shouldn't
    have a problem with the increased initrd image size.

  [ Steve Kowalik ]
  * Move to 2.6.32-13 kernels. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 16 Feb 2010 15:11:57 +1100

debian-installer (20081029ubuntu83) lucid; urgency=low

  * Move iMX51 images to 2.6.31-603 kernels.
  * Move Dove images to 2.6.32-200 kernels.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 01 Feb 2010 15:36:00 -0800

debian-installer (20081029ubuntu82) lucid; urgency=low

  * Move to 2.6.32-12 kernels. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 01 Feb 2010 14:22:41 -0800

debian-installer (20081029ubuntu81) lucid; urgency=low

  * No-change rebuild to pick up new components.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 28 Jan 2010 20:22:27 +0000



## debian-installer 20081029ubuntu102.3charlotte2

=== debian/changelog ===
debian-installer (20081029ubuntu102.3charlotte2) lucid; urgency=low

  * build/config/armel/charlotte: update d-i to new ABI

 -- Alex Chiang <achiang@canonical.com>  Sat, 30 Apr 2011 08:42:32 -0600

debian-installer (20081029ubuntu102.3charlotte1) lucid; urgency=low

  * build/config/common: Remove lucid-* from USE_UDEBS_FROM_EXTRA
  * build/config/armel/charlotte*: Add subarch for charlotte kernels
  * build/config/armel.cfg: Remove all subarchs, and only use charlotte

 -- Alex Chiang <achiang@canonical.com>  Tue, 15 Mar 2011 15:26:19 -0600

debian-installer (20081029ubuntu102.3) lucid-proposed; urgency=low

  * Move to 2.6.32-24 kernels.
  * Move Dove images to 2.6.32-207 kernels.
  * Move iMX51 images to 2.6.31-608 kernels.
  * Move omap images to 2.6.33-502 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jul 2010 17:26:30 +0100

debian-installer (20081029ubuntu102.2) lucid-proposed; urgency=low

  * Move to 2.6.32-23 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jun 2010 16:06:51 +0100

debian-installer (20081029ubuntu102.1) lucid-proposed; urgency=low

  * Move to 2.6.32-22 kernels.
  * Use udebs from lucid-security, lucid-proposed, and lucid-updates.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jun 2010 12:36:26 +0100

## debian-installer 20081029ubuntu102.4

=== debian/changelog ===
debian-installer (20081029ubuntu102.4) lucid-proposed; urgency=low

  * Move to 2.6.32-25 kernels.
  * Move Dove images to 2.6.32-209 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Sep 2010 15:18:27 +0100

## debian-installer 20081029ubuntu102.5

=== debian/changelog ===
debian-installer (20081029ubuntu102.5) lucid-proposed; urgency=low

  * Rebuild against current 2.6.32-25 kernels; there seems to have been a
    hidden ABI change that broke installer images (LP: #667187).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Oct 2010 12:47:08 +0100

## debian-installer 20081029ubuntu102.5hedley6

=== debian/changelog ===
debian-installer (20081029ubuntu102.5hedley6) lucid; urgency=low

  * build/config/armel.cfg: Just build hedley subarch for now

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 06 Oct 2010 11:12:19 -0400

debian-installer (20081029ubuntu102.5hedley5) lucid; urgency=low

  * Revert files to their 20081029ubuntu102.3/10.04.1 state. The version is now
    rather incorrect (should really be 20081029ubuntu102.3hedley1).  Oops!

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 05 Oct 2010 18:37:27 -0400

debian-installer (20081029ubuntu102.5hedley4) lucid; urgency=low

  * Bump kernel version for hedley to 2.6.32-211
  * Remove sources.list.udeb.local with the assumption that package will be
    released after 10.04.1 has been pulled into hedley-devel

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 05 Oct 2010 16:35:35 -0400

debian-installer (20081029ubuntu102.5hedley3) lucid; urgency=low

  * Replace mimas and titan config files with hedley ones now that mimas and
    titan use a unified hedley kernel
  * build/sources.list.udeb.local: Add lucid-security, lucid-updates, and
    lucid-proposed so new udebs needed after lucid-proposed merge can be
    downloaded

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 30 Sep 2010 23:03:57 -0400

debian-installer (20081029ubuntu102.5hedley2) lucid; urgency=low

  * build/config/common: Remove lucid-security, lucid-updates, and
    lucid-proposed from USE_UDEBS_FROM_EXTRA for now as they are not accessible
    from hedley-ppa. Likely a temporary solution.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 30 Sep 2010 16:24:49 -0400

debian-installer (20081029ubuntu102.5hedley1) lucid; urgency=low

  * Merge from lucid-proposed

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 30 Sep 2010 12:45:41 -0400

debian-installer (20081029ubuntu102hedley4) lucid; urgency=low

  * Add configuration files for titan subarch of kernel/initrd

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 21 Jul 2010 11:05:49 -0400

debian-installer (20081029ubuntu102hedley3) lucid; urgency=low

  * Revert previous change. There currently is no mimas version of the pkg's in
    dove's list.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 20 Jul 2010 15:30:10 -0400

debian-installer (20081029ubuntu102hedley2) lucid; urgency=low

  * Add pkg-list for mimas.  Based on dove's list.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 20 Jul 2010 13:43:20 -0400

debian-installer (20081029ubuntu102hedley1) lucid; urgency=low

  * Add configuration files for mimas subarch of armel kernel/initrd
  * Set Vcs-Bzr to hedley branch. Branched from
    lp:~ubuntu-core-dev/debian-installer/ubuntu at revision 1293

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 15 Jul 2010 11:06:30 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.6.2
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
+Vcs-Bzr: lp:~hedley-team/hedley/debian-installer
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64 lpia], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64 lpia], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], uboot-mkimage [arm armel], redboot-tools (>= 0.6) [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64 lpia], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb armel], redboot-imx51-babbage [arm armel], tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64 lpia], python [i386 amd64 lpia], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386 lpia], mkvmlinuz [powerpc ppc64], openssl [arm armel]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], uboot-mkimage [arm armel], redboot-tools (>= 0.6) [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm], redboot-imx51-babbage [arm armel], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -58,7 +58,7 @@
 #	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
 #		On mipsel, we can't use libnewt-pic right now due to bug
 #		#329733. See also Build-Conflicts above.
-#	- libgcc1 [i386 amd64 lpia]
+#	- libgcc1 [i386 amd64]
 #		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
 #		work around #373253 until upstream can remove pthread_cancel()
 #		On i386 
@@ -86,9 +86,9 @@
 #		default.)
 #	- hfsutils [powerpc ppc64]
 #		For making bootable HFS USB sticks for powerpc.
-#	- dosfstools [i386 ia64 m68k amd64 lpia]
+#	- dosfstools [i386 ia64 m68k amd64]
 #		For creating FAT filesystems with mkfs.msdos.
-#		Of course i386/amd64/lpia use this for floppies, CDs etc.
+#		Of course i386/amd64 use this for floppies, CDs etc.
 #		ia64 uses it for floppies (?)
 #		m68k uses it for atari floppies
 #	- cpio
@@ -109,7 +109,7 @@
 #	On many arches boot loaders are copied onto or ran on the boot
 #	images in one way or another. There's a reason our mailing list is
 #	still called debian-boot..
-#	- syslinux (>= 2:3.63+dfsg-2) [i386 amd64 lpia]
+#	- syslinux (>= 2:3.63+dfsg-2) [i386 amd64]
 #		With menu default64 support.		
 #	- palo [hppa]
 #	- elilo [ia64]
@@ -143,29 +143,29 @@
 #	- emile [m68k]
 #	- emile-bootblocks [m68k]
 #		Bootloader for m68k/mac machines.
-#	- apex-nslu2 [arm armeb armel]
+#	- apex-nslu2 [arm]
 #		2nd stage bootloader for Linksys NSLU2.
 #	- redboot-imx51-babbage [arm armel]
 #		Redboot bootloader binaries for SD card images for imx51
 #
 # Architecture specific build dependencies:
-#	- tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64]
+#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 #		For todos, used on files that need to be accessible from
 #		DOS.
-#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64]
+#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64]
 #		mcopy is used to put files onto FAT filesystems w/o
 #		mounting them.
-#	- po4a [i386 amd64 lpia]
-#	- python [i386 amd64 lpia]
+#	- po4a [i386 amd64]
+#	- python [i386 amd64]
 #		For building gfxboot help texts.
 #
-#	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc]
+#	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
 #		depmod for 2.6 kernels on the arches that support 2.6.
 #
 #	- bf-utf-source [!s390 !s390x]
 #		Contains the unicode font we use. Not a udeb since we
 #		perform font reduction at build time.
-#	- upx-ucl (>= 3) [i386 lpia]
+#	- upx-ucl (>= 3) [i386]
 #		i386 uses upx to compress kernels and other binaries.
 #	- mkvmlinuz [powerpc ppc64]
 #		Used to make powerpc images that can boot direct from

## debian-installer 20081029ubuntu102.8

=== debian/changelog ===
debian-installer (20081029ubuntu102.8) lucid-proposed; urgency=low

  * Fix amd64 builds to actually include the lts-backport-maverick kernel on
    maverick-* images (LP: #607657).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jan 2011 11:19:31 +0000

debian-installer (20081029ubuntu102.7) lucid-proposed; urgency=low

  * Build images with the lts-backport-maverick kernel (2.6.35-23) for amd64
    and i386, which are themselves configured to install the
    lts-backport-maverick kernel (LP: #607657).
  * Move to 2.6.32-28 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jan 2011 14:11:38 +0000

debian-installer (20081029ubuntu102.6) lucid-proposed; urgency=low

  * Move to 2.6.32-26 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Nov 2010 17:01:44 +0000
